For the complete documentation index, see llms.txt. This page is also available as Markdown.

Suites

Retrieving suites

Retrieving suites list

get

Returns many suites.

Authorizations
AuthorizationstringRequired

Token-based authentication with required prefix "Token"

Query parameters
orderingstring · enumOptionalPossible values:
pageintegerOptional

A page number within the paginated result set.

page_sizeintegerOptional

Number of results to return per page.

querystringOptional

Search in names with the following query

Responses
200Success
application/json
countintegerRequiredExample: 123
nextstring · uri · nullableOptionalExample: http://api.example.org/accounts/?page=4
previousstring · uri · nullableOptionalExample: http://api.example.org/accounts/?page=2
get/api/v2/suites/
GET /api/v2/suites/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
  "count": 123,
  "next": "http://api.example.org/accounts/?page=4",
  "previous": "http://api.example.org/accounts/?page=2",
  "results": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": null,
      "testsCount": 1,
      "tests": [
        {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      ],
      "autoAddNewTests": true,
      "autoRetry": 1,
      "notes": null,
      "runInParallel": true,
      "runProfileId": null
    }
  ]
}

Create new suite

post

Creates a suite.

Authorizations
AuthorizationstringRequired

Token-based authentication with required prefix "Token"

Body
autoAddNewTestsbooleanOptional
autoRetryinteger · max: 5Optional
notesstring · nullableOptional
namestring · max: 100 · nullableOptional
runInParallelbooleanOptional
runProfileIdstring · uuidRequired
testsstring · uuid[]Optional
Responses
201Success
application/json
idstring · uuidRead-onlyRequired
namestring · nullableRead-onlyRequired
testsCountintegerRead-onlyRequired
autoAddNewTestsbooleanRead-onlyRequired
autoRetryintegerRead-onlyRequired
notesstring · nullableRead-onlyRequired
runInParallelbooleanRead-onlyRequired
runProfileIdstring · nullableRead-onlyRequired
post/api/v2/suites/
POST /api/v2/suites/ HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 187

{
  "autoAddNewTests": true,
  "autoRetry": 1,
  "notes": null,
  "name": null,
  "runInParallel": true,
  "runProfileId": "123e4567-e89b-12d3-a456-426614174000",
  "tests": [
    "123e4567-e89b-12d3-a456-426614174000"
  ]
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "name": null,
  "testsCount": 1,
  "tests": [
    {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    }
  ],
  "autoAddNewTests": true,
  "autoRetry": 1,
  "notes": null,
  "runInParallel": true,
  "runProfileId": null
}

Retrieving suite by ID

get

Returns a single suite.

Authorizations
AuthorizationstringRequired

Token-based authentication with required prefix "Token"

Path parameters
idstring · uuidRequired

A UUID string identifying this suite.

Responses
200Success
application/json
idstring · uuidRead-onlyRequired
namestring · nullableRead-onlyRequired
testsCountintegerRead-onlyRequired
autoAddNewTestsbooleanRead-onlyRequired
autoRetryintegerRead-onlyRequired
notesstring · nullableRead-onlyRequired
runInParallelbooleanRead-onlyRequired
runProfileIdstring · nullableRead-onlyRequired
get/api/v2/suites/{id}/
GET /api/v2/suites/{id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "name": null,
  "testsCount": 1,
  "tests": [
    {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    }
  ],
  "autoAddNewTests": true,
  "autoRetry": 1,
  "notes": null,
  "runInParallel": true,
  "runProfileId": null
}

Update suite by ID

put

Updates a suite.

Authorizations
AuthorizationstringRequired

Token-based authentication with required prefix "Token"

Path parameters
idstring · uuidRequired

A UUID string identifying this suite.

Body
autoAddNewTestsbooleanOptional
autoRetryinteger · max: 5Optional
notesstring · nullableOptional
namestring · max: 100 · nullableOptional
runInParallelbooleanOptional
runProfileIdstring · uuidRequired
testsstring · uuid[]Optional
Responses
200Success
application/json
idstring · uuidRead-onlyRequired
namestring · nullableRead-onlyRequired
testsCountintegerRead-onlyRequired
autoAddNewTestsbooleanRead-onlyRequired
autoRetryintegerRead-onlyRequired
notesstring · nullableRead-onlyRequired
runInParallelbooleanRead-onlyRequired
runProfileIdstring · nullableRead-onlyRequired
put/api/v2/suites/{id}/
PUT /api/v2/suites/{id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 187

{
  "autoAddNewTests": true,
  "autoRetry": 1,
  "notes": null,
  "name": null,
  "runInParallel": true,
  "runProfileId": "123e4567-e89b-12d3-a456-426614174000",
  "tests": [
    "123e4567-e89b-12d3-a456-426614174000"
  ]
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "name": null,
  "testsCount": 1,
  "tests": [
    {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    }
  ],
  "autoAddNewTests": true,
  "autoRetry": 1,
  "notes": null,
  "runInParallel": true,
  "runProfileId": null
}

Removing a suite

delete

Remove a suite.

Authorizations
AuthorizationstringRequired

Token-based authentication with required prefix "Token"

Path parameters
idstring · uuidRequired

A UUID string identifying this suite.

Responses
204

No response body

No content

delete/api/v2/suites/{id}/
DELETE /api/v2/suites/{id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*

No content

Partially update suite by ID

patch

Partially updates a suite.

Authorizations
AuthorizationstringRequired

Token-based authentication with required prefix "Token"

Path parameters
idstring · uuidRequired

A UUID string identifying this suite.

Body
autoAddNewTestsbooleanOptional
autoRetryinteger · max: 5Optional
notesstring · nullableOptional
namestring · max: 100 · nullableOptional
runInParallelbooleanOptional
runProfileIdstring · uuidOptional
testsstring · uuid[]Optional
Responses
200Success
application/json
idstring · uuidRead-onlyRequired
namestring · nullableRead-onlyRequired
testsCountintegerRead-onlyRequired
autoAddNewTestsbooleanRead-onlyRequired
autoRetryintegerRead-onlyRequired
notesstring · nullableRead-onlyRequired
runInParallelbooleanRead-onlyRequired
runProfileIdstring · nullableRead-onlyRequired
patch/api/v2/suites/{id}/
PATCH /api/v2/suites/{id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 187

{
  "autoAddNewTests": true,
  "autoRetry": 1,
  "notes": null,
  "name": null,
  "runInParallel": true,
  "runProfileId": "123e4567-e89b-12d3-a456-426614174000",
  "tests": [
    "123e4567-e89b-12d3-a456-426614174000"
  ]
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "name": null,
  "testsCount": 1,
  "tests": [
    {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    }
  ],
  "autoAddNewTests": true,
  "autoRetry": 1,
  "notes": null,
  "runInParallel": true,
  "runProfileId": null
}

Last updated

Was this helpful?